# Uses of Class
javax.swing.text.AsyncBoxView.ChildState

Packages that use AsyncBoxView.ChildState
Package
Description
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of AsyncBoxView.ChildState in javax.swing.text

Fields in javax.swing.text declared as AsyncBoxView.ChildState
Modifier and Type
Field
Description
`protected AsyncBoxView.ChildState`
AsyncBoxView.ChildLocator.`lastValidOffset`
The location of the last offset calculation that is valid.
Methods in javax.swing.text that return AsyncBoxView.ChildState
Modifier and Type
Method
Description
`protected AsyncBoxView.ChildState`
AsyncBoxView.`createChildState​(View v)`
New ChildState records are created through this method to allow subclasses the extend the ChildState records to do/hold more.
`protected AsyncBoxView.ChildState`
AsyncBoxView.`getChildState​(int index)`
Fetch the object representing the layout state of of the child at the given index.
Methods in javax.swing.text with parameters of type AsyncBoxView.ChildState
Modifier and Type
Method
Description
`void`
AsyncBoxView.ChildLocator.`childChanged​(AsyncBoxView.ChildState cs)`
Notification that a child changed.
`protected void`
AsyncBoxView.`majorRequirementChange​(AsyncBoxView.ChildState cs, float delta)`
Requirements changed along the major axis.
`protected void`
AsyncBoxView.`minorRequirementChange​(AsyncBoxView.ChildState cs)`
Requirements changed along the minor axis.